{% extends "base.html" %}
{% from "_formhelpers.html" import render_article_input_field %}
{% block content %}
    <h1 class="title">
        Welcome A B O 's TWITTER Web
    </h1>






    <h1>Search New Friends</h1>
    <div class="box">

        <form method="POST" action="/search" name="form">

            {{ form.csrf_token }}

            <div class="field">
                {{ render_article_input_field(form.shearch) }}
            </div>

            <button class="button is-block is-info is-large is-fullwidth">shearch</button>

        </form>
    </div>

    {% for user in users %}
        <table class="table table-striped">
        <tr>
            <th>name</th>
            <th>surname</th>
            <th>email</th>
            <th>birthday</th>
            <th></th>
            <th></th>
        </tr>
        <tr>
            <td>{{ user.name }}</td>
            <td>{{ user.surname }}</td>
            <td>{{ user.email }}</td>
            <td>{{ user.birthday }}</td>
            <td>
                <form  action="{{ url_for('main.request_friend', id=user.id) }}" method="post" >
                    <input type="hidden" name="_method" value="DELETE">
                    <input type="submit" value="SEND REQUIST" class="btn btn-danger">
                </form>
            </td>
            <td>
                <form action="{{ url_for('main.show_user', id=user.id) }}" method="post">
                    <input type="hidden" name="_method" value="DELETE">
                    <input type="submit" value="Show Profile" class="btn btn-danger">
                </form>
            </td>
        </tr>
    {% endfor %}
</table >

{% endblock %}